Update PDF attributes including status
curl --request PUT \
--url https://app.herondata.io/api/integrations/pdfs/{heron_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"filename": "my-favourite.pdf",
"fraud_reason": "<string>",
"is_fraud": true,
"notes": "<string>",
"reference_id": "my-favourite-pdf",
"status": "processed"
}
'import requests
url = "https://app.herondata.io/api/integrations/pdfs/{heron_id}"
payload = {
"filename": "my-favourite.pdf",
"fraud_reason": "<string>",
"is_fraud": True,
"notes": "<string>",
"reference_id": "my-favourite-pdf",
"status": "processed"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filename: 'my-favourite.pdf',
fraud_reason: '<string>',
is_fraud: true,
notes: '<string>',
reference_id: 'my-favourite-pdf',
status: 'processed'
})
};
fetch('https://app.herondata.io/api/integrations/pdfs/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pdf": {
"account_id": "checking_account_202348",
"created": "2026-07-16T19:19:53.458275",
"currency": "USD",
"data_source": {
"heron_id": "<string>",
"is_enabled": true
},
"end_user": {
"heron_id": "eus_4xsjLJRSaMXwecUyTNzJsG"
},
"filename": "my-favourite.pdf",
"heron_id": "pdf_NmbdiBsSjBzPmfcLhcyXih",
"is_image_based": true,
"last_updated": "2026-07-16T19:19:53.458305",
"notes": "failed to send to external OCR provider",
"parsing_version": "<string>",
"reference_id": "my-favourite-pdf",
"statements": [
{
"data_source_account": {
"heron_id": "<string>",
"is_enabled": true
},
"exclude": true,
"invalid_transaction_partials": [
{
"amount": 123,
"balance": 123,
"bounds": {
"page": 123,
"x_max": 123,
"x_min": 123,
"y_max": 123,
"y_min": 123
},
"currency": "<string>",
"description": "<string>",
"ocr_suspect": true,
"reference_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"transaction_code": "<string>"
}
],
"summary": {
"end_balance": 123,
"num_credits": 123,
"num_debits": 123,
"num_transactions": 123,
"reconciled": true,
"start_balance": 123,
"total_credits": 123,
"total_debits": 123,
"account_number": "<string>",
"account_title": "<string>",
"bank_name": "<string>",
"company": "<string>",
"currency": "<string>",
"fraud_reasons": [
"<string>"
],
"fraud_score": 123,
"is_business_account": true,
"is_ocr": true,
"max_resolution": 123,
"min_resolution": 123,
"statement_end_date": "2023-11-07T05:31:56Z",
"statement_start_date": "2023-11-07T05:31:56Z",
"unreconciled_end_balance": 123,
"web_report": true
},
"transaction_partials": [
{
"amount": 123,
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"balance": 123,
"bounds": {
"page": 123,
"x_max": 123,
"x_min": 123,
"y_max": 123,
"y_min": 123
},
"currency": "<string>",
"ocr_suspect": true,
"reference_id": "<string>",
"transaction_code": "<string>"
}
]
}
],
"status": "processed"
},
"request_id": "<string>"
}EndUserIntegrations
Update PDF attributes including status
Update PDF attributes including status
PUT
/
api
/
integrations
/
pdfs
/
{heron_id}
Update PDF attributes including status
Authorizations
Path Parameters
heron_id of the pdf
Body
application/json
The filename of the PDF
Example:
"my-favourite.pdf"
If fraud reason
True if fraud was detected in the PDF
Notes associated with PDF, e.g., rejected reason, failed reason
An optional field for your unique identifier for the PDF
Maximum string length:
140Example:
"my-favourite-pdf"
Status of PDF
Available options:
new, parsing, parsed, processed, human_reviewing, approved, rejected, failed, transactions_loaded, transactions_unloaded Example:
"processed"
Was this page helpful?
⌘I